import request from '@/utils/request'
//增加用户
export function addUseer(data) {
  return request({
    url: '/system/addLoginUser',
    method: 'post',
    params: data
  })
}

//获取用户列表
export function listUser(data) {
  return request({
    url: '/system/getLoginUserList',
    method: 'post',
    params: data
  })
}

//获取用户详细信息
export function getUserInfo(data) {
  return request({
    url: '/system/getLoginUserInfo',
    method: 'post',
    params: data
  })
}


//修改用户
export function updateUser(data) {
  return request({
    url: '/system/updateLoginUser',
    method: 'post',
    params: data
  })
}

// 增加人员
export function addOnlyLoginUserInfo(data) {
  return request({
    url: '/system/addOnlyLoginUserInfo',
    method: 'post',
    params: data
  })
}
// 修改人员
export function updateOnlyLoginUserInfo(data) {
  return request({
    url: '/system/updateOnlyLoginUserInfo',
    method: 'post',
    params: data
  })
}
// 角色配置
export function configLoginUserRole(data) {
  return request({
    url: '/system/configLoginUserRole',
    method: 'post',
    params: data
  })
}
//获取部门树形列表
export function getDeptTreeData(data) {
  return request({
    url: '/system/getDeptTreeData',
    method: 'post',
    params: data
  })
}

//获取角色
export function getRoleList(data) {
  return request({
    url: '/system/getRoleList',
    method: 'post',
    params: data
  })
}
//修改密码
export function changeMyPassword(data) {
  return request({
    url: '/system/changeMyPassword',
    method: 'post',
    params: data
  })
}

//重置密码
export function resetLoginUser(data) {
  return request({
    url: '/system/resetLoginUser',
    method: 'post',
    params: data
  })
}

//合计
export function getIndexCardPanelData(data) {
  return request({
    url: '/system/getIndexCardPanelData',
    method: 'post',
    params: data
  })
}
